# GoogleChartLegend Class Reference

Inheritance diagram for GoogleChartLegend:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| setPosition (GoogleChartLegendPositionType $type)
| addItem ($item)
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chdl'

## Private Attributes

| $items = array()
| $position = null

## Detailed Description

Definition at line 15 of file GoogleChartLegend.class.php.

## Constructor & Destructor Documentation

GoogleChartLegend::__construct | ( |  | ) |

Definition at line 30 of file GoogleChartLegend.class.php.

References create(), and GoogleChartLegendPositionType::LEFT.

Here is the call graph for this function:

## Member Function Documentation

GoogleChartLegend::addItem | ( | $ | item | ) |

Returns:
  GoogleChartLegend

Definition at line 51 of file GoogleChartLegend.class.php.

static GoogleChartLegend::create | ( |  | ) | `[static]`

Returns:
  GoogleChartLegend

Definition at line 25 of file GoogleChartLegend.class.php.

Referenced by __construct().

GoogleChartLegend::setPosition | ( | GoogleChartLegendPositionType $ | type | ) |

Returns:
  GoogleChartLegend

Definition at line 41 of file GoogleChartLegend.class.php.

GoogleChartLegend::toString | ( |  | ) |

Implements Stringable.

Definition at line 58 of file GoogleChartLegend.class.php.

References $items.

## Member Data Documentation

GoogleChartLegend::$items = array()`[private]`

Definition at line 19 of file GoogleChartLegend.class.php.

Referenced by toString().

GoogleChartLegend::$name = 'chdl'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartLegend.class.php.

GoogleChartLegend::$position = null`[private]`

Definition at line 20 of file GoogleChartLegend.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLegend.class.php